| Home >> All >> org >> springframework >> beans >> [ support Javadoc ] |
org.springframework.beans.support: Javadoc index of package org.springframework.beans.support.
Package Samples:
org.springframework.beans.support: This package contains interfaces and classes for manipulating Java beans.
Classes:
RefreshablePagedListHolder: RefreshablePagedListHolder is a PagedListHolder subclass with reloading capabilities. It automatically re-requests the List from the source provider, in case of Locale or filter changes. Data binding works just like with PagedListHolder. The locale can be specified in Locale's toString syntax, e.g. "locale=en_US". The filter object can be of any custom class, preferably a bean for easy data binding from a request. An instance will simply get passed through to PagedListSourceProvider.loadList. A filter property can be specified via "filter.myFilterProperty", for example. The scenario in the controller ...
PagedListHolder: PagedListHolder is a simple state holder for handling lists of objects, separating them into pages. Page numbering starts with 0. This is mainly targetted at usage in web UIs. Typically, an instance will be instantiated with a list of beans, put into the session, and exported as model. The properties can all be set/get programmatically, but the most common way will be data binding, i.e. populating the bean from request parameters. The getters will mainly be used by the view. Supports sorting the underlying list via a SortDefinition implementation, available as property "sort". By default, a MutableSortDefinition ...
ArgumentConvertingMethodInvoker: Subclass of MethodInvoker that tries to convert the given arguments for the actual target method via BeanWrapperImpl.
MutableSortDefinition: Mutable implementation of SortDefinition. Supports toggling the ascending value on setting the same property again.
PropertyComparator: PropertyComparator performs a comparison of two beans, using the specified bean property via a BeanWrapper.
PagedListSourceProvider: Callback that provides the source for a reloadable List. Used by RefreshablePagedListHolder.
SortDefinition: Definition for sorting bean instances by a property.
| Home | Contact Us | Privacy Policy | Terms of Service |